[Swift-commit] r6457 - branches/faster/tests/language-behaviour/cleanup
davidk at ci.uchicago.edu
davidk at ci.uchicago.edu
Wed Apr 17 12:06:59 CDT 2013
Author: davidk
Date: 2013-04-17 12:06:59 -0500 (Wed, 17 Apr 2013)
New Revision: 6457
Modified:
branches/faster/tests/language-behaviour/cleanup/001-proc-scope-cleanup.check.sh
branches/faster/tests/language-behaviour/cleanup/011-proc-scope-alias-cleanup.check.sh
Log:
Fix for some versions of grep which may cause these tests to fail
Modified: branches/faster/tests/language-behaviour/cleanup/001-proc-scope-cleanup.check.sh
===================================================================
--- branches/faster/tests/language-behaviour/cleanup/001-proc-scope-cleanup.check.sh 2013-04-17 17:04:56 UTC (rev 6456)
+++ branches/faster/tests/language-behaviour/cleanup/001-proc-scope-cleanup.check.sh 2013-04-17 17:06:59 UTC (rev 6457)
@@ -12,12 +12,12 @@
exit 1
fi
-if ! grep "Cleaning file [file://*$PREFIX.t1.tmp*]" $PREFIX.stdout; then
+if ! grep "^Cleaning file file://.*$PREFIX.t1.tmp" $PREFIX.stdout; then
echo "Test mapper did not claim to clean t1"
exit 1
fi
-if ! grep "Not cleaning [file://*$PREFIX.t2.out*]" $PREFIX.stdout; then
+if ! grep "^Not cleaning file://.*$PREFIX.t2.out" $PREFIX.stdout; then
echo "Test mapper did not identify t2 as persistent"
exit 1
fi
Modified: branches/faster/tests/language-behaviour/cleanup/011-proc-scope-alias-cleanup.check.sh
===================================================================
--- branches/faster/tests/language-behaviour/cleanup/011-proc-scope-alias-cleanup.check.sh 2013-04-17 17:04:56 UTC (rev 6456)
+++ branches/faster/tests/language-behaviour/cleanup/011-proc-scope-alias-cleanup.check.sh 2013-04-17 17:06:59 UTC (rev 6457)
@@ -17,12 +17,12 @@
exit 1
fi
-if ! grep "Cleaning file [file://*$PREFIX.1.tmp*]" $PREFIX.stdout; then
+if ! grep "Cleaning file file://.*$PREFIX.1.tmp" $PREFIX.stdout; then
echo "Test mapper didn't clean what it should have"
exit 1
fi
-if ! grep "Not cleaning [file://*$PREFIX.2.out*]" $PREFIX.stdout; then
+if ! grep "Not cleaning file://.*$PREFIX.2.out" $PREFIX.stdout; then
echo "Test mapper did not identify 2 as persistent"
exit 1
fi
More information about the Swift-commit
mailing list